Shared service

### Hierarchy

- SharedService

### Implements

- ILogerService

## Index

### Constructors

- constructor

### Properties

- _installSubscriptions
- _loginSubscriptions

### Methods

- changeLoginData
- checkLogin
- checkLogout
- consoleLog
- getAppConf
- getAppMenu
- getData
- getLoginInfo
- initFirebaseMessageToken
- isAsMember
- isHasPageAuth
- isLogined
- isNotNull
- isNull
- prepareInstall
- refreshFirebaseMessageToken
- setCommonService
- setData
- setLogger
- setLoginInfo
- setRouteLocation
- subscribe
- unsetData
- getInstance

## Constructors

### constructor

- new SharedService(): SharedService

- - Defined in src/services/shared.service.ts:48

  Creates an instance of shared service.

  #### Returns SharedService

## Properties

### _installSubscriptions

_installSubscriptions: Subject<any> = ...

- Defined in src/services/shared.service.ts:171

설치 구독기

### _loginSubscriptions

_loginSubscriptions: Subject<any> = ...

- Defined in src/services/shared.service.ts:163

로그인 구독기

## Methods

### changeLoginData

- changeLoginData(siteCd?: string, pushUseYn?: boolean, pushKey?: string): boolean

- - Defined in src/services/shared.service.ts:527

  Changes login data

  #### Parameters

  - ##### Optional siteCd: string

  - ##### Optional pushUseYn: boolean

  - ##### Optional pushKey: string

  #### Returns boolean

### checkLogin

- checkLogin(): Promise<boolean>

- - Defined in src/services/shared.service.ts:710

  Checks login

  #### Returns Promise<boolean>

### checkLogout

- checkLogout(): Promise<void>

- - Defined in src/services/shared.service.ts:692

  Checks logout

  #### Returns Promise<void>

### consoleLog

- consoleLog(type: ConsoleLogType, title: string, ...obj: any[]): void

- Implementation of ILogerService.consoleLog

  - Defined in src/services/shared.service.ts:585

  Consoles log

  #### Parameters

  - ##### type: ConsoleLogType

  - ##### title: string

  - ##### Rest ...obj: any[]

  #### Returns void

### getAppConf

- getAppConf(): AppConfVo

- - Defined in src/services/shared.service.ts:244

  Gets app conf

  #### Returns AppConfVo

  app conf

### getAppMenu

- getAppMenu(): AppMenuVo[]

- - Defined in src/services/shared.service.ts:400

  Gets app menu

  #### Returns AppMenuVo[]

  app menu

### getData

- getData(key: string): any

- - Defined in src/services/shared.service.ts:259

  Gets data

  #### Parameters

  - ##### key: string

  #### Returns any

  data

### getLoginInfo

- getLoginInfo(): UserDetailsVo

- - Defined in src/services/shared.service.ts:422

  Gets login info

  #### Returns UserDetailsVo

  login info

### initFirebaseMessageToken

- initFirebaseMessageToken(): void

- - Defined in src/services/shared.service.ts:630

  Inits firebase message token

  #### Returns void

### isAsMember

- isAsMember(): boolean

- - Defined in src/services/shared.service.ts:722

  Determines whether as member is

  #### Returns boolean

  true if as member

### isHasPageAuth

- isHasPageAuth(routerPath: string): boolean

- - Defined in src/services/shared.service.ts:784

  Determines whether has page auth is

  #### Parameters

  - ##### routerPath: string

  #### Returns boolean

  true if has page auth

### isLogined

- isLogined(routerPath: string): Promise<string>

- - Defined in src/services/shared.service.ts:740

  Determines whether logined is

  #### Parameters

  - ##### routerPath: string

  #### Returns Promise<string>

  logined

### isNotNull

- isNotNull(input: any): boolean

- - Defined in src/services/shared.service.ts:516

  Determines whether not null is

  #### Parameters

  - ##### input: any

  #### Returns boolean

  true if not null

### isNull

- isNull(input: any): boolean

- - Defined in src/services/shared.service.ts:488

  Determines whether null is

  #### Parameters

  - ##### input: any

  #### Returns boolean

  true if null

### prepareInstall

- prepareInstall(): void

- - Defined in src/services/shared.service.ts:212

  Prepares install

  #### Returns void

### refreshFirebaseMessageToken

- refreshFirebaseMessageToken(): void

- - Defined in src/services/shared.service.ts:673

  Refreshs firebase message token

  #### Returns void

### setCommonService

- setCommonService(commonService: ICommonService): void

- - Defined in src/services/shared.service.ts:178

  Sets common service

  #### Parameters

  - ##### commonService: ICommonService

  #### Returns void

### setData

- setData(key: string, value: any): void

- - Defined in src/services/shared.service.ts:269

  Sets data

  #### Parameters

  - ##### key: string

  - ##### value: any

  #### Returns void

### setLogger

- setLogger(logger: ILogerService): void

- Implementation of ILogerService.setLogger

  - Defined in src/services/shared.service.ts:575

  Sets logger

  #### Parameters

  - ##### logger: ILogerService

  #### Returns void

### setLoginInfo

- setLoginInfo(info: UserDetailsVo): void

- - Defined in src/services/shared.service.ts:431

  Sets login info

  #### Parameters

  - ##### info: UserDetailsVo

  #### Returns void

### setRouteLocation

- setRouteLocation(routeLocation: RouteLocationNormalizedLoaded): void

- - Defined in src/services/shared.service.ts:203

  Sets route location

  #### Parameters

  - ##### routeLocation: RouteLocationNormalizedLoaded

  #### Returns void

### subscribe

- subscribe(subType?: "login" | "install"): Observable<any>

- - Defined in src/services/shared.service.ts:188

  Subscribes shared service

  #### Parameters

  - ##### subType: "login" | "install" = 'login'

  #### Returns Observable<any>

  subscribe

### unsetData

- unsetData(key: string): void

- - Defined in src/services/shared.service.ts:282

  Unsets data

  #### Parameters

  - ##### key: string

  #### Returns void

### Static getInstance

- getInstance(): SharedService

- - Defined in src/services/shared.service.ts:150

  Gets instance

  #### Returns SharedService

  instance

Generated using TypeDoc